dict-jargon (4.4.7-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:33:49 +0100

dict-jargon (4.4.7-3) unstable; urgency=medium

  * Switch to source format "3.0 (quilt)" and dh7 tiny rules
  * Remove quilt from Build-Depends.
  * Switch to machine-readable format for debian/copyright
  * Bump Standards-Version to 3.9.6 (no changes)
  * Bump compat level to 9 and update debhelper version on Build-Depends.
  * Replace elinks with w3m (Closes: #567418).
    Patch provided by: Mathias Gug <mathiaz@ubuntu.com>
  * Replace timestamps with the last debian/changelog entry timestamp
    before calling dictzip and remove timestamps in call to dictfmt to 
    make the package build reproducibly (Closes: #792709).
    Patch provided by: Dhole <dhole@openmailbox.org>
  * Add a new patch fixing typos and a missing sense number in a 
    reference (Closes: #581692, #587744, #587745).
    Patches provided by: Oohara Yuuma <oohara@libra.interq.or.jp>
  * Fix command-with-path-in-maintainer-script in debian/post*
  * Add debian/README.source
  * Update maintainer email

 -- Ruben Molina <ruben.molina@udea.edu.co>  Thu, 03 Sep 2015 22:38:38 -0400

dict-jargon (4.4.7-2) unstable; urgency=low

  * Add dict-server to Depends (Closes: #533717)
  * Standards-Version bumped to 3.8.2 (no changes)
  * Add versioned reference to GPL in debian/copyright 

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 20 Jun 2009 19:03:13 -0500

dict-jargon (4.4.7-1) unstable; urgency=low

  * New maintainer (Closes: #436120)
  * New upstream version. Sources repackaged because only three files
    are needed (817K of 6,0M)
  * Standards-Version bumped to 3.8.0
  * Added Homepage field to debian/control
  * Added debian/watch file
  * Debian package reworked. See jargon2dict.sh for the new parsing process
  * Removed Build-Depends-Indep on docbook-xml, konwert, gawk, python, lynx
    and html2text
  * Added Build-Depends-Indep on elinks-lite
  * Added Build-Depends on quilt and debhelper
  * Added Suggests on dict
  * Removed Build-Conflicts-Indep on w3m (The problem reported on changelog
    entry 4.4.4-6 is no longer reproducible)
  * Solved some syntax errors on debian/changelog
  * Removed duplicated entries from debian/changelog
  * apologia and other sections of the Jargon File are no longer included.
    This sections are available in jargon-text package
  * Upstream ChangeLog is now generated using versions table from chapter 3,
    and not the full chapter
  * Added DEBHELPER token to postinst and postrm scripts

 -- Ruben Molina <rmolina@udea.edu.co>  Thu, 29 Jan 2009 21:47:29 -0500

dict-jargon (4.4.4-7) unstable; urgency=low

  * QA Upload
    + change maintainer to QA group
    + acknowledge NMUs. Closes: #348263, #423755, #440501,
      #463777, #470351.
  * Provide dictd-dictionary. Closes: #466216.

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Apr 2008 04:43:00 +0200

dict-jargon (4.4.4-6.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bugs.
  * Change invocation by "xmlto" of "jargon-text.xsl" in upstream
    Makefile from "-m" to "-x". (Closes: #470351)
  * Use "--columns 79" in invocation of dictfmt by debian/rules
    since upstream Makefile uses 79 as output width. (Closes: #463777)

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat, 12 Apr 2008 05:46:31 +0530

dict-jargon (4.4.4-6.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bugs.
  * Switch to using invoke-rc.d in postinst and postrm. (Closes: #348263).
  * Updated debian/jargon-patch using Cyril Brulebois's file to fix FTBFS.
    (Closes: #423755, #440501).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 30 Sep 2007 13:44:56 +0200

dict-jargon (4.4.4-6) unstable; urgency=high

  * Release Team - This upload fixes three FTBFS bugs, although only one was
    given an RC severity by the submitter, and makes no other changes.

  * Apparently xmlto calls w3m or lynx to convert html to text, but I can't
    find the call.  (I don't know why neither one is a Build-Depend.)  If w3m
    is installed, it is called, but creates an error.  Since I can't locate
    the error, I have listed w3m as Build-Conflicts-Indep.  This solves part
    of Bug #302578, the rest of this bug is fixed by the followng paragraph.
    
  * Place single quotes around the version number in a test in jargon.xsl, as
    suggested by Mike Hommey <mh@glandium.org>.  Closes: #296957, 302578

  * Although it isn't well documented, the output of
    "/usr/share/konwert/filters/iso1-ascii" varies depending on the locale of
    the system.  In some cases this output may contain 8-bit characters, which
    makes the patches in the rules file fail.  To overcome this I have
    inserted "LC_ALL=C" before the konwert calls, so the output should be the
    same on any build machine.  Closes: #274689
 
  * For reasons that aren't clear to me, html2text in sid procuces an
    "apologia" that is radically different and formatted much uglier than the 
    same version in sarge.  I have included the formatted version of this file
    from previous releases, and commented out the rules line that produces
    this file.

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 22 Apr 2005 12:06:09 -0400  

dict-jargon (4.4.4-5) unstable; urgency=high
  
  * Patched jargon.xml to make it validate properly, and to work with
    current version of xmlif, with invaluable help from Neil Roeth
    <neil@debian.org>.  Thanks, Neill.  Closes: #229435.
  
 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 22 Mar 2004 14:02:02 -0500

  
dict-jargon (4.4.4-4) unstable; urgency=high

  * Added lynx to Build-Depends-Indep:, and eliminated need for nbreak
    binary  Closes: #214997 (really this time)
  
  * Commented out the Makefile target names.xml, and removed binary nbreak.
    (According to the Makefile, names.xml is "needed for the book version",
    so it is not needed for this package.)
  
 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 01 Nov 2003 10:13:03 -0500

  
dict-jargon (4.4.4-3) unstable; urgency=high

  * Added gawk and python to Build-Depends-Indep: Closes: #214997 

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 10 Oct 2003 11:20:46 -0400

  
dict-jargon (4.4.4-2) unstable; urgency=low
  
  * Patched jargsrc-4.4.4/Makefile to call ./getversion and
    ./name-extract.  (Upstream assumes $PATH contains ".".)
    Closes: 210687

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 14 Sep 2003 13:36:34 -0400


dict-jargon (4.4.4-1) unstable; urgency=low
  
  *  New upstream version.  The flat text file is no longer distributed by
    upstream.  It is now distributed as an HTML tarball and as a 6 MB
    source tarball, that unpacks to 18 MB.  This is a big hit on the
    archive disk space!
  
  * Downloaded jargsrc.tar.gz and unpacked it in jargsrc-4.4.4/.  Copied
    tools nbreak, name-extract and getversion from jargsrc 4.4.1 (no
    longer available on the jargon site - fortunately I had downloaded that
    version when I was first wrestling with this new format) to
    jargsrc-4.4.4.  Created dict-jargon_4.4.4.orig.tar.gz.

  * Patched jargon.xml to point to
    "/usr/share/sgml/docbook/dtd/xml/4.1.2/docbookx.dtd" instead of
    "http://nwalsh.com/docbook/xml/4.1.2/db3xml.dtd" as recommended by
    Neil Roeth <neil@debian.org>.  Since wraptext isn't
    available, and it doesn't seem necessary, patched the Makefile
    s/wraptext/cat/. 

  * The Jargon File contains about 750 latin 1 8-bit characters.  To avoid
    displaying garbage on terminals that can't display latin 1 encodings,
    the Jargon File is converted to 7-bit ASCII with konwert.
  
  * Added --allchars option to dictfmt invocation.  This will cause
    headwords including non-alphanumeric characters. 
    
 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 12 Sep 2003 19:06:36 -0400

  
dict-jargon (4.3.3-1) unstable; urgency=low

  * New upstream version.
  
  *  Downloaded Jargon 4.3.3 from http://www.jargon.org, and created
     dict-jargon_4.3.3.orig.tar.gz.

  *  Removed /usr/doc symlinks fro maintainer scripts.
  
  *  Changelog for 4.3.1-1 gives wrong version for download and
    .orig.tar.gz.  (s/4.2.3/4.3.1/)
  
 -- Robert D. Hilliard <hilliard@debian.org>  Tue,  1 Oct 2002 13:26:08 -0400
  

dict-jargon (4.3.1-1) unstable; urgency=low
  
  * New upstream version.  closes: #143667
  
  *  Downloaded Jargon 4.2.3 from http://www.jargon.org, and created
     dict-jargon_4.2.3.orig.tar.gz.

  *  (4.3.0-1) fixed syntax error (omitted comma) in Build-Depends.  This
     was omitted from the changelog.
  
  * (4.3.0-1) Downloaded Jargon 4.3.0 from http://www.jargon.org, and created
     dict-jargon_4.3.0.orig.tar.gz.  Original changelog incorrectly used
     earlier version.

  *  Just as with the previous version, the last six lines of the
    bibliography were missing from the download.  Replaced them from the
    previous version.

 -- Robert D. Hilliard <hilliard@debian.org>  Sun, 21 Apr 2002 16:50:26 -0400

  
dict-jargon (4.3.0-1) unstable; urgency=low

  *  New upstream version
     Closes: #96043

  *  Downloaded Jargon 4.2.3 from http://www.jargon.org, and created
     dict-jargon_4.2.3.orig.tar.gz.

  *  The last six lines of the bibliography were missing from the
     download.  Replaced them from the previous version.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 23 May 2001 15:56:11 -0400


dict-jargon (4.2.3-1) unstable; urgency=low

  *  New upstream version

  *  Downloaded Jargon 4.2.3 from http://www.jargon.org, and created
     dict-jargon_4.2.3.orig.tar.gz.

  *  Changed structure of source package to use /usr/bin/dictfmt
     instead of building dictfmt while building dict-jargon.

  *  Removed bibliography titles from the index and cleaned up
     redundant punctuation in bibliography entries.

  *  There is a bug in dictfmt, that I haven't solved yet that
     produces a duplicate index entry for the last headword indexed.
     I have used a brute-force kluge to fix the index in this package.

 -- Robert D. Hilliard <hilliard@debian.org>  Thu, 18 Jan 2001 17:36:11 -0500


dict-jargon (4.2.2-1) unstable; urgency=low
  
  *  New upstrem version
     Closes: #75273
  
  *  Copied build directory dict-jargon-4.2.0 to new directory
    dict-jargon-4.2.2; replaced data/jargon 4.20 with data/jargon 4.22,
    and created dict-jargon_4.2.0.orig.tar.gz from dict-jargon-4.2.0
    directory. 
  
 -- Bob Hilliard <hilliard@debian.org>  Tue, 24 Oct 2000 19:51:31 -0400


dict-jargon (4.2.0-1) unstable; urgency=low

  *  Forked dict-jargon from dict-misc to incorporate new upstram version
    of the Jargon File.  Since this package inherits Makefile.in from
    jargon in dict-misc-1.5, retained the old changelog here.  
    Closes: #60293
  
  *  Created README.debian and added it to rules
  
  *  Copied build directory dict-misc-1.5 to new directory
    dict-jargon-4.2.0; ran make distclean; removed all references to easton
    and hitchcock from Makefile.in and removed their data files from
    /data.  Replaced jarg400.txt in /data with jargon-4.2.0.  Updated jargon
    version, date and url in Makefile.in.  Created 
    dict-jargon_4.2.0.orig.tar.gz from dict-jargon-4.2.0 directory.
    Added sed command to fix source format to Makefile.in and created
    debian/sedfile. 
  
  *  Copied ../debian from dict-misc-1.5 to dict-jargon-4.2.0 directory.
    Deleted files specific to easton and hitchcock from debian directory.
    Modified rules file to make dict-jargon only.
  
 -- Bob Hilliard <hilliard@debian.org>  Wed,  5 Apr 2000 19:01:54 -0400
  

# Old (dict-misc) changelog attached for reference:
  
dict-misc (1.5-2) unstable; urgency=low

  *  Added a check for existence of executable /etc/init.d/dictd
     before calling it in postinst and prerm scripts for dict-[jargon,
     hitchcock, easton]
     Closes: #49255, #49281

  *  Corrected typo in changelog 1.5-1 for name of package in /usr/doc
     symlinks.

 -- Bob Hilliard <hilliard@debian.org>  Fri,  5 Nov 1999 19:57:48 -0500


dict-misc (1.5-1) unstable; urgency=low
  
  * New upstream version
  
  * Modified Makefile.in:
    Made same modifications as 1.4-1
    Commented out elements and world95 from DATABASES= and DATAINDICES=
    Commented out elements and world95 from format and install targets
    Removed data files for dictionaries being forked.

  * Made new .orig.tar.gz after above changes to reduce the size of
    the source package and the debian diff.

  * Update to Standards version 3.0.1.1:
    Modified for FHS - /usr/share{doc, man}
    Added scripts to provide and remove symlink  /usr/doc/dict-wn
  to /usr/share/doc/dict-wn and to reconfigure and restart dictd
  when this package is installed or removed.
    Corrected location of GPL license

  * Changed Recommends: to Suggests: due to the evil way dselect
    treats recomends.

  * forked dict-elements and dict-world95 for separate release
    (dict-foldoc was forked and released separately at 1.4-1
  
  * Updated Jay Kominek's address (dict-elements author)

 -- Bob Hilliard <hilliard@debian.org>  Sat, 23 Oct 1999 17:26:19 -0400


dict-misc (1.4-2) unstable; urgency=low

  * Changed Architecture from any to all
  
 -- Bob Hilliard <hilliard@debian.org>  Sat, 20 Mar 1999 20:01:26 -0500
  
dict-misc (1.4-1) unstable; urgency=low

  * Initial release
  
  * Modified Makefile.in:
    Removed configure from the files removed by the distclean target
    Commented out the "all" target, since no making is done in $subdirs
    Commented out "install -m 755 -d $(dictdir)" since debian\rules makes
    this directory.
    Added -rm -f *.dict* *.index the clean target (removes *.dict.dz and
    *.index which cause dpkg-buildpackage errors)
    Commented out subdirs loop in distclean
    Commented out foldoc from DATABASES= and DATAINDICES=
    Commented out foldoc format and install targets
    Commented out foldoc in install target
  
 -- Bob Hilliard <hilliard@debian.org>  Mon, 20 Apr 1998 22:17:03 -0400
